javax.jnlp

## Interface ExtendedService

All Known Implementing Classes:
  XExtendedService

    public interface ExtendedService

This interface provides a way for the JNLP application to open specific files in the client's system. It asks permission from the user before opening any files.

### Method Summary

Methods
`FileContents` `openFile(java.io.File file)` Open a file on the client' system and return its contents.
`FileContents[]` `openFiles(java.io.File[] files)` Opens multiple files on the user's sytem and returns their contents as a `FileContents` array

### Method Detail

#### openFile

    FileContents openFile(java.io.File file)
                          throws java.io.IOException

Open a file on the client' system and return its contents. The user must grant permission to the application for this to work.

Parameters:
  `file` - the file to open
Returns:
  the opened file as a `FileContents` object
Throws:
  `java.io.IOException` - on any io problems

#### openFiles

    FileContents[] openFiles(java.io.File[] files)
                             throws java.io.IOException

Opens multiple files on the user's sytem and returns their contents as a `FileContents` array

Parameters:
  `files` - the files to open
Returns:
  an array of FileContents objects
Throws:
  `java.io.IOException` - on any io problems